package yangtz.cs.liu.campus.service.device;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import com.baomidou.mybatisplus.extension.service.IService;
import yangtz.cs.liu.campus.domain.area.SchoolAreaApply;
import yangtz.cs.liu.campus.domain.device.SchoolDeviceClaim;
import yangtz.cs.liu.campus.vo.device.ClaimListVo;
import yangtz.cs.liu.campus.vo.device.ClaimTodoVo;

/**
 * 设备领用Service接口
 *
 * @author ruoyi
 * @date 2022-10-16
 */
public interface ISchoolDeviceClaimService extends IService<SchoolDeviceClaim>
{
    List<ClaimListVo> queryList(String submitState,ClaimListVo claimListVo);

    int submitApply(SchoolDeviceClaim schoolDeviceClaim, String userName, String type, Map<String, Object> variables);

    List<ClaimTodoVo> findTodoTasks(String deviceclaim, SchoolDeviceClaim entity, String userId);

    List<ClaimTodoVo> findDoneTasks(String deviceclaim, SchoolDeviceClaim entity, String toString);

    List<ClaimTodoVo> findMyTodoTasks(String deviceclaim, SchoolDeviceClaim entity, String userId);

    ClaimListVo getInfo(Long id);
}
